import req from "@/request.js";

const yhxt = window.context.yhxt;
export default {
    // getTaskManage(data) {
    //     return new Promise((resolve, reject) => {
    //         req.post(yhxt + "/siteInspection/v1/getJson", data).then(
    //             response => {
    //                 resolve(response.data);
    //             },
    //             error => {
    //                 reject(error);
    //             }
    //         );
    //     });

    // },
    getTaskManage(data) {
        return new Promise((resolve, reject) => {
            req.post(yhxt + "/siteInspection/v1/getJson", data).then(
                response => {
                    resolve(response.data);
                },
                error => {
                    reject(error);
                }
            );
        });

    },
    //获取养护工单信息
    getMainWorkOrderInfo(data) {
        return new Promise((resolve, reject) => {
            req.post(yhxt + "/workOrderInformation/v1/getWorkOrderVo", data).then(
                response => {
                    resolve(response.data);
                },
                error => {
                    reject(error);
                }
            );
        });

    },
    
}